{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load custom_tags %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>
    
    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 3px 5px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 9px 15px 0px;;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
    </style>
{% endblock %}


{% block content %}

    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} Inventory {% endblock %}</title>
    </head>

    <form class="from-horizontal" method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <span style="margin-top: -15px;" id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        <h1 style="margin-top: -18px;" class="back-list">Inventory</h1>
        <section class="content-header col-content">
            <div class="row">
                {% if flagList == False %}
                <div class="col-xs-6 col-sm-5 col-md-5 col-customer">
                    <p class="creatBtn-wrapper">
                        <button type="submit"><a href="{% url 'create_inventory' %}">Create</a></button>
                        <button type="submit"><a href="{% url 'import_inventory' %}">Import</a></button>
                        <!--<button type="submit" name="export" class="export">Export</button>-->
                    </p>
                </div>
                {% else %}
                    <div class="col-xs-6 col-sm-5 col-md-5 col-customer"></div>
                {% endif %}

                <div class="col-xs-6 col-sm-7 col-md-7 text-right">
                    <div class="row">
                        <div class="col-md-12">
                            {% if data_list.has_other_pages %}
                            <ul class="pagination col-pagination pg-blue" style="vertical-align: middle;">
                                {% if data_list.has_previous %}
                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.previous_page_number }}{%if flagList == True%}&&list=1 {% endif %}" aria-label="Previous">
                                        &laquo;
                                    </a>
                                </li>
                                {% else %}
                                <li class="page-item disabled">
                                    <a class="page-link" href="">
                                        <span>&laquo;</span>
                                    </a>
                                </li>
                                {% endif %}

                                {% for i in data_list.paginator.page_range %}
                                {% if data_list.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">
                                        {{ i }}
                                    </a>
                                </li>
                                {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}{%if flagList == True%}&&list=1 {% endif %}">
                                        {{ i }}
                                    </a>
                                </li>
                                {% endif %}
                                {% endfor %}

                                {% if data_list.has_next %}
                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.next_page_number }}{%if flagList == True%}&&list=1 {% endif %}">
                                        &raquo;
                                    </a>
                                </li>
                                {% endif %}
                            </ul>
                            {% endif %}

                            <div class="search-container text-right" style="display: inline-block;">
                                <form class="search-form">
                                    <input id="productSearch" class="form-control txt-search" value="{{search}}"
                                           type="text" placeholder="Search.." name="search" required>
                                    <button id="btnSearch" class="btn-search" type="submit">
                                        <i class="fa fa-search"></i>
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!--{% autoescape off %}-->
                        <!--<span style="color:green; float: right"><b>{{querycount}}</b></span>-->
                    <!--{% endautoescape off %}-->
                </div>
            </div>
            <div class="row">
                <address class="col-cust-add col-business-add">
                    <span style="background-color: #00c0ef;border-color: #00acd6;">Number of SKU's: {{inventoryCount|default:"0"}}</span>
                </address>
            </div>
        </section>

        <section>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Warehouse Code</th>
                        <!--<th>City</th>-->
                        <th>SKU Code</th>
                        <th>Available Stock</th>
                        <th>Blocked Stock</th>
                        <th>Remaining Stock</th>
                        {% if request.user|has_group:"SR" %}
                        {% else %}
                        <th>Non-Sellable Stock</th>
                        <th>Min Stock Level</th>
                        {% endif %}
                        <!--{% if request.user.is_superuser %}-->
                        <!--<th>Action</th>-->
                        <!--{% endif %}-->
                    </tr>
                </thead>
                <tbody>
                    {% if data_list|length > 0 %}
                        {% for data in data_list %}
                            <tr>
                                <td>{{data.warehouse}}</td>
                                <!--<td>{{data.city}}</td>-->
                                <td>{{data.product}}</td>
                                <td>{{data.available |floatformat:"0"}}</td>
                                <td>{{data.blocked |floatformat:"0"}}</td>
                                <td>{{data.remain |floatformat:"0"}}</td>
                                <!--<td>{{data.stock_in|floatformat:"0"}}</td>-->
                                {% if request.user|has_group:"SR" %}
                                {% else %}
                                <td>{{data.stock_out|floatformat:"0"}}</td>
                                <td>{{data.min_stock|floatformat:"0"}}</td>
                                {% endif %}
                                <!--{% if request.user.is_superuser %}-->
                                <!--<td>-->
                                    <!--<a href="'edit_inventory' data.register_id data.stock_id">-->
                                        <!--<span class="glyphicon glyphicon-edit"></span>-->
                                    <!--</a>-->
                                <!--</td>-->
                                <!--{% endif %}-->
                            </tr>
                        {% endfor %}
                    {% else %}
                        <tr>
                            {% if request.user|has_group:"SR" %}
                            <td colspan="5" style="text-align:center;">Data not available</td>
                            {% else %}
                            <td colspan="7" style="text-align:center;">Data not available</td>
                            {% endif %}
                        </tr>
                    {% endif %}
                </tbody>
            </table>
        </section>
    </form>
{% endblock %}
